.clearfix {
	width:inherit;
}

.clearfix:after,
#header:after,
#assist:after,
#maincontent:after,
#footer:after
 {
	content:".";
	height:0;
	clear:both;
	display:block;
	visibility:hidden;
	line-height:0;
}

.clearfix,
#header,
#assist,
#maincontent,
#footer
 {
  min-height: 1px;
}

* html .clearfix,
* html #header,
* html #assist,
* html #maincontent,
* html #footer
 {
  height: 1px;
  /*\*//*/
  height: auto;
  overflow: hidden;
  /**/
}

/* IE 7 */
.clearfix,
#header,
#assist,
#maincontent,
#footer
{
	display:inline-block;
}